diff -Nru darkice-1.2/src/OpusLibEncoder.cpp darkice-1.3/src/OpusLibEncoder.cpp
--- darkice-1.2/src/OpusLibEncoder.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/OpusLibEncoder.cpp	2016-08-03 22:18:23.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : OpusLibEncoder.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/OpusLibEncoder.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
 
    Copyright notice:
 
@@ -36,11 +36,16 @@
 // compile only if configured for Ogg / Opus
 #ifdef HAVE_OPUS_LIB
 
+#include <stdio.h>
+#include <string.h>
+#include <unistd.h>
 
 #include "Exception.h"
 #include "Util.h"
 #include "OpusLibEncoder.h"
 #include "CastSink.h"
+#include <cstring>
+#include <cstdlib>
 
 
 /* ===================================================  local data structures */
@@ -51,7 +56,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: OpusLibEncoder.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /* ===============================================  local function prototypes */
@@ -474,10 +479,10 @@
 
     int opusBufferSize = (1275*3+7)*getOutChannel();
     unsigned char * opusBuffer = new unsigned char[opusBufferSize];
-    short int * shortBuffer = new short int[480];
+    short int * shortBuffer = new short int[480*getInChannel()];
 
     // Send an empty audio packet along to flush out the stream.
-    memset( shortBuffer, 0, 480);
+    memset( shortBuffer, 0, 480*getInChannel()*sizeof(*shortBuffer));
     memset( opusBuffer, 0, opusBufferSize);
     int encBytes = opus_encode( opusEncoder, shortBuffer, 480, opusBuffer, opusBufferSize);
     if( encBytes == -1 ) {
diff -Nru darkice-1.2/src/OpusLibEncoder.h darkice-1.3/src/OpusLibEncoder.h
--- darkice-1.2/src/OpusLibEncoder.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/OpusLibEncoder.h	2016-08-03 22:18:36.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : OpusLibEncoder.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/OpusLibEncoder.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
 
    Copyright notice:
 
@@ -40,6 +40,8 @@
 #include "config.h"
 #endif
 
+#include <stdlib.h>
+
 #ifdef HAVE_OPUS_LIB
 #include <opus/opus.h>
 #include <ogg/ogg.h>
@@ -52,13 +54,15 @@
 #include "Exception.h"
 #include "Reporter.h"
 #include "AudioEncoder.h"
-#include "CastSink.h"
+#include "Sink.h"
 #ifdef HAVE_SRC_LIB
 #include <samplerate.h>
 #else
 #include "aflibConverter.h"
 #endif
 
+#include <stdio.h>
+#include <cstdlib>
 
 /* ================================================================ constants */
 
@@ -72,8 +76,8 @@
  *  A struct for containing the ogg opus header format, sent at the stream
  *  beginning.
  *
- *  @author $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author $Author$
+ *  @version $Revision$
  */
 struct OpusIdHeader {
     char magic[8];              /* "OpusHead" */
@@ -119,16 +123,16 @@
 /**
  *  A struct for containing the ogg opus comment header format
  *
- *  @author $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author $Author$
+ *  @version $Revision$
  */
 struct OpusCommentHeader {
     /**
      * Struct for each tag pair, in the form of a UTF-8
      * string, "TAG=value"
      *
-     * @author $Author: rafael@riseup.net $
-     * @version $Revision: 553 $
+     * @author $Author$
+     * @version $Revision$
      */
     struct Tags {
         unsigned int tag_len;   /* For each tag, how long the following tag is */
@@ -189,8 +193,8 @@
  *  A class representing the ogg opus encoder linked as a shared object or
  *  as a static library.
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class OpusLibEncoder : public AudioEncoder, public virtual Reporter
 {
@@ -311,7 +315,7 @@
          *  @exception Exception
          */
         inline
-        OpusLibEncoder (  CastSink      * sink,
+        OpusLibEncoder (  Sink      * sink,
                             unsigned int    inSampleRate,
                             unsigned int    inBitsPerSample,
                             unsigned int    inChannel,
@@ -356,7 +360,7 @@
          *  @exception Exception
          */
         inline
-        OpusLibEncoder (  CastSink              * sink,
+        OpusLibEncoder (    Sink                  * sink,
                             const AudioSource     * as,
                             BitrateMode             outBitrateMode,
                             unsigned int            outBitrate,
@@ -443,7 +447,7 @@
         }
 
         /**
-         *  Check wether encoding is in progress.
+         *  Check whether encoding is in progress.
          *
          *  @return true if encoding is in progress, false otherwise.
          */
diff -Nru darkice-1.2/src/OssDspSource.cpp darkice-1.3/src/OssDspSource.cpp
--- darkice-1.2/src/OssDspSource.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/OssDspSource.cpp	2016-08-03 22:18:36.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : OssDspSource.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/OssDspSource.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -106,7 +106,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: OssDspSource.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 /*------------------------------------------------------------------------------
  *  Define the natural endiannes of 16 bit recording if not defined,
@@ -229,7 +229,7 @@
 
 
 /*------------------------------------------------------------------------------
- *  Check wether read() would return anything
+ *  Check whether read() would return anything
  *----------------------------------------------------------------------------*/
 bool
 OssDspSource :: canRead ( unsigned int    sec,
diff -Nru darkice-1.2/src/OssDspSource.h darkice-1.3/src/OssDspSource.h
--- darkice-1.2/src/OssDspSource.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/OssDspSource.h	2016-08-03 22:18:36.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : OssDspSource.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/OssDspSource.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -51,8 +51,8 @@
 /**
  *  An audio input based on /dev/dsp-like raw devices
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class OssDspSource : public AudioSource, public virtual Reporter
 {
@@ -69,7 +69,7 @@
         int         fileDescriptor;
 
         /**
-         *  Indicates wether the low-level OSS DSP device is in a recording
+         *  Indicates whether the low-level OSS DSP device is in a recording
          *  state.
          */
         bool        running;
diff -Nru darkice-1.2/src/PulseAudioDspSource.cpp darkice-1.3/src/PulseAudioDspSource.cpp
--- darkice-1.2/src/PulseAudioDspSource.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/PulseAudioDspSource.cpp	2016-08-03 22:18:36.000000000 +0200
@@ -10,9 +10,9 @@
    Tyrell DarkIce
 
    File     : PulseAudioDspSource.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/PulseAudioDspSource.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -35,6 +35,7 @@
 /* ============================================================ include files */
 
 #include "AudioSource.h"
+#include <stdio.h>
 
 // compile only if configured for PULSEAUDIO
 #ifdef SUPPORT_PULSEAUDIO_DSP
@@ -56,7 +57,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: PulseAudioDspSource.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /* ===============================================  local function prototypes */
@@ -172,7 +173,7 @@
 
 
 /*------------------------------------------------------------------------------
- *  Check wether read() would return anything
+ *  Check whether read() would return anything
  *----------------------------------------------------------------------------*/
 bool
 PulseAudioDspSource :: canRead ( unsigned int    sec,
diff -Nru darkice-1.2/src/PulseAudioDspSource.h darkice-1.3/src/PulseAudioDspSource.h
--- darkice-1.2/src/PulseAudioDspSource.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/PulseAudioDspSource.h	2015-05-18 19:38:07.000000000 +0200
@@ -10,9 +10,9 @@
    Tyrell DarkIce
 
    File     : PulseAudioDspSource.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/PulseAudioDspSource.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -65,8 +65,8 @@
 /**
  *  An audio input based on the PULSEAUDIO sound system 
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class PulseAudioDspSource : public AudioSource, public virtual Reporter
 {
@@ -258,9 +258,9 @@
    Tyrell DarkIce
 
    File     : PulseAudioDspSource.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/PulseAudioDspSource.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -313,8 +313,8 @@
 /**
  *  An audio input based on the PULSEAUDIO sound system 
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class PulseAudioDspSource : public AudioSource, public virtual Reporter
 {
diff -Nru darkice-1.2/src/Referable.h darkice-1.3/src/Referable.h
--- darkice-1.2/src/Referable.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/Referable.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : Referable.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/Referable.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -62,8 +62,8 @@
  *  
  *  @ref Ref
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class Referable
 {
diff -Nru darkice-1.2/src/Ref.h darkice-1.3/src/Ref.h
--- darkice-1.2/src/Ref.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/Ref.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : Ref.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/Ref.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -75,8 +75,8 @@
  *
  *  @ref Referable
  *  
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 template <class T>
 class Ref
diff -Nru darkice-1.2/src/Reporter.cpp darkice-1.3/src/Reporter.cpp
--- darkice-1.2/src/Reporter.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/Reporter.cpp	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell Reporter
 
    File     : Reporter.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/Reporter.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -42,7 +42,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: Reporter.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /*------------------------------------------------------------------------------
diff -Nru darkice-1.2/src/Reporter.h darkice-1.3/src/Reporter.h
--- darkice-1.2/src/Reporter.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/Reporter.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell Reporter
 
    File     : Reporter.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/Reporter.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -77,8 +77,8 @@
  * 
  *  Known problems: this class is not thread-safe.
  * 
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class Reporter
 {
diff -Nru darkice-1.2/src/SerialUlaw.cpp darkice-1.3/src/SerialUlaw.cpp
--- darkice-1.2/src/SerialUlaw.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/SerialUlaw.cpp	2016-08-03 22:18:15.000000000 +0200
@@ -6,8 +6,8 @@
    Tyrell DarkIce
 
    File     : SerialUlaw.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
+   Version  : $Revision$
+   Author   : $Author$
    Location : $Source: /cvsroot/darkice/darkice/src/SerialUlaw.cpp,v $
    
    Copyright notice:
@@ -94,6 +94,10 @@
 #error need termios.h
 #endif
 
+#ifdef HAVE_STDIO_H
+#include <stdio.h>
+#endif
+
 
 #include "Util.h"
 #include "Exception.h"
@@ -108,7 +112,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: SerialUlaw.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /*------------------------------------------------------------------------------
diff -Nru darkice-1.2/src/SerialUlaw.h darkice-1.3/src/SerialUlaw.h
--- darkice-1.2/src/SerialUlaw.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/SerialUlaw.h	2016-08-03 22:18:36.000000000 +0200
@@ -6,9 +6,9 @@
    Tyrell DarkIce
 
    File     : SerialUlaw.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/SerialUlaw.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -52,8 +52,8 @@
 /**
  *  An audio input based on /dev/dsp-like raw devices
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class SerialUlaw : public AudioSource, public virtual Reporter
 {
@@ -70,7 +70,7 @@
         int         fileDescriptor;
 
         /**
-         *  Indicates wether the low-level OSS DSP device is in a recording
+         *  Indicates whether the low-level OSS DSP device is in a recording
          *  state.
          */
         bool        running;
diff -Nru darkice-1.2/src/ShoutCast.cpp darkice-1.3/src/ShoutCast.cpp
--- darkice-1.2/src/ShoutCast.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/ShoutCast.cpp	2015-05-18 19:38:07.000000000 +0200
@@ -5,8 +5,8 @@
    Tyrell DarkIce
 
    File     : ShoutCast.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
+   Version  : $Revision$
+   Author   : $Author$
    Location : $Source$
    
    Copyright notice:
@@ -69,7 +69,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: ShoutCast.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /*------------------------------------------------------------------------------
diff -Nru darkice-1.2/src/ShoutCast.h darkice-1.3/src/ShoutCast.h
--- darkice-1.2/src/ShoutCast.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/ShoutCast.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : ShoutCast.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/ShoutCast.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -53,8 +53,8 @@
  *  Class representing output to a ShoutCast server with
  *  icy login
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class ShoutCast : public CastSink
 {
diff -Nru darkice-1.2/src/Sink.h darkice-1.3/src/Sink.h
--- darkice-1.2/src/Sink.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/Sink.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : Sink.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/Sink.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -51,8 +51,8 @@
 /**
  *  A general data sink
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class Sink : public virtual Referable
 {
diff -Nru darkice-1.2/src/SolarisDspSource.cpp darkice-1.3/src/SolarisDspSource.cpp
--- darkice-1.2/src/SolarisDspSource.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/SolarisDspSource.cpp	2016-08-03 22:18:36.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : SolarisDspSource.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/SolarisDspSource.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -108,7 +108,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: SolarisDspSource.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /* ===============================================  local function prototypes */
@@ -201,7 +201,7 @@
 
 
 /*------------------------------------------------------------------------------
- *  Check wether read() would return anything
+ *  Check whether read() would return anything
  *----------------------------------------------------------------------------*/
 bool
 SolarisDspSource :: canRead ( unsigned int    sec,
diff -Nru darkice-1.2/src/SolarisDspSource.h darkice-1.3/src/SolarisDspSource.h
--- darkice-1.2/src/SolarisDspSource.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/SolarisDspSource.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : SolarisDspSource.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/SolarisDspSource.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -51,8 +51,8 @@
 /**
  *  An audio input based on Solaris /dev/audio devices
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class SolarisDspSource : public AudioSource, public virtual Reporter
 {
diff -Nru darkice-1.2/src/Source.h darkice-1.3/src/Source.h
--- darkice-1.2/src/Source.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/Source.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : Source.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/Source.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -51,8 +51,8 @@
 /**
  *  A general data source
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class Source : public virtual Referable
 {
diff -Nru darkice-1.2/src/TcpSocket.cpp darkice-1.3/src/TcpSocket.cpp
--- darkice-1.2/src/TcpSocket.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/TcpSocket.cpp	2016-08-03 22:18:36.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : TcpSocket.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/TcpSocket.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -101,7 +101,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: TcpSocket.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /* ===============================================  local function prototypes */
@@ -256,7 +256,7 @@
 
 
 /*------------------------------------------------------------------------------
- *  Check wether read() would return anything
+ *  Check whether read() would return anything
  *----------------------------------------------------------------------------*/
 bool
 TcpSocket :: canRead (      unsigned int    sec,
@@ -318,9 +318,9 @@
                 break;
 
             default:
-		::close( sockfd);
-		sockfd = 0;
-		throw Exception( __FILE__, __LINE__, "recv error", errno);
+                ::close( sockfd);
+                sockfd = 0;
+                throw Exception( __FILE__, __LINE__, "recv error", errno);
         }
     }
 
@@ -329,7 +329,7 @@
 
 
 /*------------------------------------------------------------------------------
- *  Check wether read() would return anything
+ *  Check whether write() would send anything
  *----------------------------------------------------------------------------*/
 bool
 TcpSocket :: canWrite (    unsigned int    sec,
@@ -357,11 +357,11 @@
     ret = pselect( sockfd + 1, NULL, &fdset, NULL, &timespec, &sigset);
     
     if ( ret == -1 ) {
-	::close( sockfd);
-	sockfd = 0;
-        throw Exception( __FILE__, __LINE__, "select error");
+        ::close( sockfd);
+        sockfd = 0;
+        reportEvent(4,"TcpSocket :: canWrite, connection lost", errno);
     }
-
+  
     return ret > 0;
 }
 
@@ -389,8 +389,9 @@
         if ( errno == EAGAIN ) {
             ret = 0;
         } else {
-	    ::close( sockfd);
-	    sockfd = 0;
+            ::close( sockfd);
+            sockfd = 0;
+            reportEvent(4,"TcpSocket :: write, send error", errno);
             throw Exception( __FILE__, __LINE__, "send error", errno);
         }
     }
diff -Nru darkice-1.2/src/TcpSocket.h darkice-1.3/src/TcpSocket.h
--- darkice-1.2/src/TcpSocket.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/TcpSocket.h	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : TcpSocket.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/TcpSocket.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -52,8 +52,8 @@
 /**
  *  A TCP network socket
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class TcpSocket : public Source, public Sink, public virtual Reporter
 {
diff -Nru darkice-1.2/src/TwoLameLibEncoder.cpp darkice-1.3/src/TwoLameLibEncoder.cpp
--- darkice-1.2/src/TwoLameLibEncoder.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/TwoLameLibEncoder.cpp	2015-05-18 19:38:07.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : TwoLameLibEncoder.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/TwoLameLibEncoder.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -51,7 +51,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: TwoLameLibEncoder.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /* ===============================================  local function prototypes */
diff -Nru darkice-1.2/src/TwoLameLibEncoder.h darkice-1.3/src/TwoLameLibEncoder.h
--- darkice-1.2/src/TwoLameLibEncoder.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/TwoLameLibEncoder.h	2016-08-03 22:18:36.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : TwoLameLibEncoder.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/TwoLameLibEncoder.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -66,8 +66,8 @@
  *  A class representing the TwoLame encoder linked as a shared object or as
  *  a static library.
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class TwoLameLibEncoder : public AudioEncoder, public virtual Reporter
 {
@@ -249,7 +249,7 @@
         }
 
         /**
-         *  Check wether encoding is in progress.
+         *  Check whether encoding is in progress.
          *
          *  @return true if encoding is in progress, false otherwise.
          */
diff -Nru darkice-1.2/src/Util.cpp darkice-1.3/src/Util.cpp
--- darkice-1.2/src/Util.cpp	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/Util.cpp	2016-08-03 22:18:36.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : Util.cpp
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/Util.cpp $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -87,6 +87,9 @@
 #error need signal.h
 #endif
 
+#ifdef HAVE_ERRNO_H
+#include <errno.h>
+#endif
 
 #include "Util.h"
 
@@ -99,7 +102,7 @@
 /*------------------------------------------------------------------------------
  *  File identity
  *----------------------------------------------------------------------------*/
-static const char fileid[] = "$Id: Util.cpp 553 2013-07-15 05:50:56Z rafael@riseup.net $";
+static const char fileid[] = "$Id$";
 
 
 /* ===============================================  local function prototypes */
@@ -232,7 +235,7 @@
 
 
 /*------------------------------------------------------------------------------
- *  Check wether two strings are equal
+ *  Check whether two strings are equal
  *----------------------------------------------------------------------------*/
 bool
 Util :: strEq( const char    * str1,
@@ -286,7 +289,7 @@
     }
 
     val = strtod( str, &s);
-    if ( s == str || val == HUGE_VAL ) {
+    if ( s == str || errno == ERANGE ) {
         throw Exception( __FILE__, __LINE__, "number conversion error");
     }
 
diff -Nru darkice-1.2/src/Util.h darkice-1.3/src/Util.h
--- darkice-1.2/src/Util.h	2013-07-15 07:50:42.000000000 +0200
+++ darkice-1.3/src/Util.h	2016-08-03 22:18:36.000000000 +0200
@@ -5,9 +5,9 @@
    Tyrell DarkIce
 
    File     : Util.h
-   Version  : $Revision: 553 $
-   Author   : $Author: rafael@riseup.net $
-   Location : $HeadURL: https://darkice.googlecode.com/svn/darkice/tags/darkice-1_2/src/Util.h $
+   Version  : $Revision$
+   Author   : $Author$
+   Location : $HeadURL$
    
    Copyright notice:
 
@@ -60,8 +60,8 @@
  *  char  * str = Util::strDup( otherStr);
  *  </pre>
  *
- *  @author  $Author: rafael@riseup.net $
- *  @version $Revision: 553 $
+ *  @author  $Author$
+ *  @version $Revision$
  */
 class Util
 {
@@ -169,7 +169,7 @@
         strDup (        const char    * str )       throw ( Exception );
 
         /**
-         *  Determine wether two string are equal.
+         *  Determine whether two string are equal.
          *
          *  @param str1 one of the strings.
          *  @param str2 the other string.
